synapse-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rajamanickam Muthukumar <rmuthuku...@crimsonlogic.com>
Subject RE: synapse build error
Date Wed, 21 Dec 2016 08:51:42 GMT
Hi Vanji,

Thanks for your suggestion. Actually other plugins are downloaded except the below error highlighted
so that’s the reason I was confused.
[cid:image001.png@01D25BAA.80CE3010]

Thanks.
From: Vanjikumaran Sivajothy [mailto:vanjikumaran@gmail.com]
Sent: Wednesday, 21 December 2016 4:03 PM
To: dev@synapse.apache.org
Subject: Re: synapse build error

Muthu,

I did a build on the clean m2 with Maven 3.3.9 and i did not see any issue.
Can you cross check your maven setting in {M2_HOME}/conf/settings.xml for proxy as Isuru suggested?

Vanji

On Tue, Dec 20, 2016 at 9:02 PM, Isuru Udana <isudana@gmail.com<mailto:isudana@gmail.com>>
wrote:
Looks like an issue related to a proxy.

Please search for
"Not authorized by proxy , ReasonPhrase:Proxy Authorization Required. ->"

you will get lot of information on how to resolve it.

On Wed, Dec 21, 2016 at 9:05 AM, Rajamanickam Muthukumar <rmuthukumar@crimsonlogic.com<mailto:rmuthukumar@crimsonlogic.com>>
wrote:
Hello team,

Can anyone help on the below issue pls.

[ERROR] Failed to execute goal on project Apache-Synapse: Could not resolve dependencies for
project org.apache.synapse:Apache-Synapse:pom:2.1.0: The following artifacts could not be
resolved: org.apache.axis2:axis2-transport-local:jar:1.6.1, org.apache.axis2:axis2-kernel:jar:1.6.1,
org.apache.ws.co<http://org.apache.ws.co>
mmons.axiom:axiom-api:jar:1.2.12, org.apache.ws.commons.axiom:axiom-impl:jar:1.2.12, wsdl4j:wsdl4j:jar:1.6.2,
org.apache.ws.commons.schema:XmlSchema:jar:1.4.7, org.apache.neethi:neethi:jar:3.0.1, org.apache.woden:woden-api:jar:1.0M9,
org.apache.woden:woden-impl-dom:jar:1.0M9, org.apache.woden:woden-
impl-commons:jar:1.0M9, org.apache.axis2:axis2-adb:jar:1.6.1, org.apache.axis2:axis2-clustering:jar:1.6.1,
org.apache.axis2:axis2-mtompolicy:jar:1.6.1, org.apache.sandesha2:sandesha2-core:jar:1.6.1,
org.apache.axis2:axis2-codegen:jar:1.6.1, org.apache.ws.commons.axiom:axiom-dom:jar:1.2.12,
org.apach
e.axis2:addressing:mar:1.6.1, xmlunit:xmlunit:jar:1.1, org.apache.derby:derby:jar:10.4.2.0,
xalan:xalan:jar:2.7.1, xalan:serializer:jar:2.7.1, xerces:xercesImpl:jar:2.9.1, rhino:js:jar:1.6R5,
commons-dbcp:commons-dbcp:jar:1.2.2, commons-pool:commons-pool:jar:1.3, org.apache.bcel:bcel:jar:5.2,
jakart
a-regexp:jakarta-regexp:jar:1.4, java-cup:java-cup:jar:0.0, org.opensymphony:quartz:jar:1.6.0,
net.sf.saxon:saxon:jar:8.9, net.sf.saxon:saxon-dom:jar:8.9, net.sf.saxon:saxon-xqj:jar:8.9,
commons-lang:commons-lang:jar:2.4, org.wso2.uri.template:wso2-uri-templates:jar:1.0.0, org.apache.axis2:axis2-saa
j:jar:1.6.1, org.wso2.eventing:wso2eventing-api:jar:2.1: Could not transfer artifact org.apache.axis2:axis2-transport-local:jar:1.6.1
from/to central (http://repo.maven.apache.org/maven2): Not authorized by proxy , ReasonPhrase:Proxy
Authorization Required. -> [Help 1]
[ERROR]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
[ERROR] For more information about the errors and possible solutions, please read the following
articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/DependencyResolutionException



From: Rajamanickam Muthukumar [mailto:rmuthukumar@crimsonlogic.com<mailto:rmuthukumar@crimsonlogic.com>]
Sent: Wednesday, 21 December 2016 10:23 AM
To: dev@synapse.apache.org<mailto:dev@synapse.apache.org>
Subject: RE: synapse build error

Yes I have changed it as per below,  but I am getting the below error now. is it related to
JCE jar? Which I need to download latest and place it in the security/bin directory?

<plugin>
                    <artifactId>maven-site-plugin</artifactId>
                    <version>3.3</version>
                </plugin>

[INFO] Scanning for projects...
Downloading: https://repo.maven.apache.org/maven2/org/apache/apache/9/apache-9.pom
[ERROR] [ERROR] Some problems were encountered while processing the POMs:
[FATAL] Non-resolvable parent POM for org.apache.synapse:Apache-Synapse:2.1.0: Could not transfer
artifact org.apache:apache:pom:9 from/to central (https://repo.maven.apache.org/maven2): sun.security.validator.ValidatorException:
PKIX path building failed: sun.security.provider.certpath.SunCertPathB
uilderException: unable to find valid certification path to requested target and 'parent.relativePath'
points at wrong local POM @ line 24, column 13
@
[ERROR] The build could not read 1 project -> [Help 1]
[ERROR]
[ERROR]   The project org.apache.synapse:Apache-Synapse:2.1.0 (D:\muthukumar\software\Apache
Synapse\synapse-2.1.0-src\synapse-2.1.0-src\pom.xml) has 1 error
[ERROR]     Non-resolvable parent POM for org.apache.synapse:Apache-Synapse:2.1.0: Could not
transfer artifact org.apache:apache:pom:9 from/to central (https://repo.maven.apache.org/maven2):
sun.security.validator.ValidatorException: PKIX path building failed: sun.security.provider.certpath.SunCertP
athBuilderException: unable to find valid certification path to requested target and 'parent.relativePath'
points at wrong local POM @ line 24, column 13 -> [Help 2]
[ERROR]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
[ERROR] For more information about the errors and possible solutions, please read the following
articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/ProjectBuildingException


From: Isuru Udana [mailto:isudana@gmail.com]
Sent: Wednesday, 21 December 2016 10:17 AM
To: dev@synapse.apache.org<mailto:dev@synapse.apache.org>
Subject: Re: synapse build error



On Wed, Dec 21, 2016 at 7:42 AM, Rajamanickam Muthukumar <rmuthukumar@crimsonlogic.com<mailto:rmuthukumar@crimsonlogic.com>>
wrote:
Hi Isuru,

Thanks for your immediate reply, I really appreciate. I am using the below,

Apache Maven\apache-maven-3.3.9

That should be fine.

I think you are building the synapse 2.1.0 released tag which has the site plugin version
3.0.
Can you try updating the site plugin version to 3.3 in the pom ?


From: Isuru Udana [mailto:isudana@gmail.com<mailto:isudana@gmail.com>]
Sent: Wednesday, 21 December 2016 10:10 AM

To: dev@synapse.apache.org<mailto:dev@synapse.apache.org>
Subject: Re: synapse build error

What's the maven version you are using ?



On Wed, Dec 21, 2016 at 7:34 AM, Rajamanickam Muthukumar <rmuthukumar@crimsonlogic.com<mailto:rmuthukumar@crimsonlogic.com>>
wrote:
I have cleaned many times but still getting the same issue, do I need to download maven latest?

From: Isuru Udana [mailto:isudana@gmail.com<mailto:isudana@gmail.com>]
Sent: Wednesday, 21 December 2016 10:01 AM
To: dev@synapse.apache.org<mailto:dev@synapse.apache.org>
Subject: Re: synapse build error

Hi Muthu,

This is related to maven site plugin.

Are you building the synapse trunk ? We have set the site plugin version to 3.3 as follows
in the root pom in synapse trunk.

  <plugin>
           <groupId>org.apache.maven.plugins</groupId>
            <artifactId>maven-site-plugin</artifactId>
            <version>3.3</version>
 </plugin>

AFAIK, version 3.3 shouldn't cause this failure. But as per your log, site plugin version
3.0 is used.
That's why I am wondering whether you are building the trunk or not.

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-site-plugin:3.0:site (default)
on project Apache-Synapse: Execution defaul

te:
May be you can try to build in a clean .m2 repo.

Thanks.


On Wed, Dec 21, 2016 at 7:16 AM, Rajamanickam Muthukumar <rmuthukumar@crimsonlogic.com<mailto:rmuthukumar@crimsonlogic.com>>
wrote:
Hi Team,

I am muthu, I am using the synapse project. I have attached error during build so can you
help me to fix that.

Thank you

Warm Regards,
Rajamanickam Muthukumar PMP


Disclaimer

This email (and any attachments) are intended solely for the named addressee(s) only. It contains
confidential and/or privileged information. If you are not the intended recipient or have
received this email in error, you must not copy, distribute, disclose or take any action in
reliance on any part of it. In such case, you should inform us immediately and delete this
email (and any attachments).


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@synapse.apache.org<mailto:dev-unsubscribe@synapse.apache.org>
For additional commands, e-mail: dev-help@synapse.apache.org<mailto:dev-help@synapse.apache.org>



--
Isuru Udana
Technical Lead
; WSO2 Inc.; http://wso2.com

email: isudana@gmail.com<mailto:isudana@gmail.com>
blog: http://mytecheye.blogspot.com/


Disclaimer

This email (and any attachments) are intended solely for the named addressee(s) only. It contains
confidential and/or privileged information. If you are not the intended recipient or have
received this email in error, you must not copy, distribute, disclose or take any action in
reliance on any part of it. In such case, you should inform us immediately and delete this
email (and any attachments).



--
Isuru Udana
Technical Lead
; WSO2 Inc.; http://wso2.com

email: isudana@gmail.com<mailto:isudana@gmail.com>
blog: http://mytecheye.blogspot.com/


Disclaimer

This email (and any attachments) are intended solely for the named addressee(s) only. It contains
confidential and/or privileged information. If you are not the intended recipient or have
received this email in error, you must not copy, distribute, disclose or take any action in
reliance on any part of it. In such case, you should inform us immediately and delete this
email (and any attachments).



--
Isuru Udana
Technical Lead
; WSO2 Inc.; http://wso2.com

email: isudana@gmail.com<mailto:isudana@gmail.com>
blog: http://mytecheye.blogspot.com/


Disclaimer

This email (and any attachments) are intended solely for the named addressee(s) only. It contains
confidential and/or privileged information. If you are not the intended recipient or have
received this email in error, you must not copy, distribute, disclose or take any action in
reliance on any part of it. In such case, you should inform us immediately and delete this
email (and any attachments).

Disclaimer

This email (and any attachments) are intended solely for the named addressee(s) only. It contains
confidential and/or privileged information. If you are not the intended recipient or have
received this email in error, you must not copy, distribute, disclose or take any action in
reliance on any part of it. In such case, you should inform us immediately and delete this
email (and any attachments).



--
Isuru Udana
Technical Lead
; WSO2 Inc.; http://wso2.com

email: isudana@gmail.com<mailto:isudana@gmail.com>
blog: http://mytecheye.blogspot.com/





--
Best Regards,
Vanji

Disclaimer

This email (and any attachments) are intended solely for the named addressee(s) only. It contains
confidential and/or privileged information. If you are not the intended recipient or have
received this email in error, you must not copy, distribute, disclose or take any action in
reliance on any part of it. In such case, you should inform us immediately and delete this
email (and any attachments).
Mime
View raw message